package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ActSuppliesRoleDetail;

/**
 * 规则详情Service接口
 * 
 * @author dongjg
 * @date 2023-07-12
 */
public interface IActSuppliesRoleDetailService 
{
    /**
     * 查询规则详情
     * 
     * @param id 规则详情ID
     * @return 规则详情
     */
    public ActSuppliesRoleDetail selectActSuppliesRoleDetailById(Integer id);

    /**
     * 查询规则详情列表
     * 
     * @param actSuppliesRoleDetail 规则详情
     * @return 规则详情集合
     */
    public List<ActSuppliesRoleDetail> selectActSuppliesRoleDetailList(ActSuppliesRoleDetail actSuppliesRoleDetail);

    /**
     * 新增规则详情
     * 
     * @param actSuppliesRoleDetail 规则详情
     * @return 结果
     */
    public int insertActSuppliesRoleDetail(ActSuppliesRoleDetail actSuppliesRoleDetail);

    /**
     * 修改规则详情
     * 
     * @param actSuppliesRoleDetail 规则详情
     * @return 结果
     */
    public int updateActSuppliesRoleDetail(ActSuppliesRoleDetail actSuppliesRoleDetail);

    /**
     * 批量删除规则详情
     * 
     * @param ids 需要删除的规则详情ID
     * @return 结果
     */
    public int deleteActSuppliesRoleDetailByIds(Integer[] ids);

    /**
     * 删除规则详情信息
     * 
     * @param id 规则详情ID
     * @return 结果
     */
    public int deleteActSuppliesRoleDetailById(Integer id);
}
