package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ActSuppliesRoleDetailMapper;
import com.ruoyi.system.domain.ActSuppliesRoleDetail;
import com.ruoyi.system.service.IActSuppliesRoleDetailService;

/**
 * 规则详情Service业务层处理
 * 
 * @author dongjg
 * @date 2023-07-12
 */
@Service
public class ActSuppliesRoleDetailServiceImpl implements IActSuppliesRoleDetailService 
{
    @Autowired
    private ActSuppliesRoleDetailMapper actSuppliesRoleDetailMapper;

    /**
     * 查询规则详情
     * 
     * @param id 规则详情ID
     * @return 规则详情
     */
    @Override
    public ActSuppliesRoleDetail selectActSuppliesRoleDetailById(Integer id)
    {
        return actSuppliesRoleDetailMapper.selectActSuppliesRoleDetailById(id);
    }

    /**
     * 查询规则详情列表
     * 
     * @param actSuppliesRoleDetail 规则详情
     * @return 规则详情
     */
    @Override
    public List<ActSuppliesRoleDetail> selectActSuppliesRoleDetailList(ActSuppliesRoleDetail actSuppliesRoleDetail)
    {
        return actSuppliesRoleDetailMapper.selectActSuppliesRoleDetailList(actSuppliesRoleDetail);
    }

    /**
     * 新增规则详情
     * 
     * @param actSuppliesRoleDetail 规则详情
     * @return 结果
     */
    @Override
    public int insertActSuppliesRoleDetail(ActSuppliesRoleDetail actSuppliesRoleDetail)
    {
        actSuppliesRoleDetail.setCreateTime(DateUtils.getNowDate());
        return actSuppliesRoleDetailMapper.insertActSuppliesRoleDetail(actSuppliesRoleDetail);
    }

    /**
     * 修改规则详情
     * 
     * @param actSuppliesRoleDetail 规则详情
     * @return 结果
     */
    @Override
    public int updateActSuppliesRoleDetail(ActSuppliesRoleDetail actSuppliesRoleDetail)
    {
        actSuppliesRoleDetail.setUpdateTime(DateUtils.getNowDate());
        return actSuppliesRoleDetailMapper.updateActSuppliesRoleDetail(actSuppliesRoleDetail);
    }

    /**
     * 批量删除规则详情
     * 
     * @param ids 需要删除的规则详情ID
     * @return 结果
     */
    @Override
    public int deleteActSuppliesRoleDetailByIds(Integer[] ids)
    {
        return actSuppliesRoleDetailMapper.deleteActSuppliesRoleDetailByIds(ids);
    }

    /**
     * 删除规则详情信息
     * 
     * @param id 规则详情ID
     * @return 结果
     */
    @Override
    public int deleteActSuppliesRoleDetailById(Integer id)
    {
        return actSuppliesRoleDetailMapper.deleteActSuppliesRoleDetailById(id);
    }
}
