package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ActSuppliesRoleMapper;
import com.ruoyi.system.domain.ActSuppliesRole;
import com.ruoyi.system.service.IActSuppliesRoleService;

/**
 * 导入规则Service业务层处理
 * 
 * @author dongjg
 * @date 2023-07-12
 */
@Service
public class ActSuppliesRoleServiceImpl implements IActSuppliesRoleService 
{
    @Autowired
    private ActSuppliesRoleMapper actSuppliesRoleMapper;

    /**
     * 查询导入规则
     * 
     * @param id 导入规则ID
     * @return 导入规则
     */
    @Override
    public ActSuppliesRole selectActSuppliesRoleById(Integer id)
    {
        return actSuppliesRoleMapper.selectActSuppliesRoleById(id);
    }

    /**
     * 查询导入规则列表
     * 
     * @param actSuppliesRole 导入规则
     * @return 导入规则
     */
    @Override
    public List<ActSuppliesRole> selectActSuppliesRoleList(ActSuppliesRole actSuppliesRole)
    {
        return actSuppliesRoleMapper.selectActSuppliesRoleList(actSuppliesRole);
    }

    /**
     * 新增导入规则
     * 
     * @param actSuppliesRole 导入规则
     * @return 结果
     */
    @Override
    public int insertActSuppliesRole(ActSuppliesRole actSuppliesRole)
    {
        actSuppliesRole.setCreateTime(DateUtils.getNowDate());
        return actSuppliesRoleMapper.insertActSuppliesRole(actSuppliesRole);
    }

    /**
     * 修改导入规则
     * 
     * @param actSuppliesRole 导入规则
     * @return 结果
     */
    @Override
    public int updateActSuppliesRole(ActSuppliesRole actSuppliesRole)
    {
        actSuppliesRole.setUpdateTime(DateUtils.getNowDate());
        return actSuppliesRoleMapper.updateActSuppliesRole(actSuppliesRole);
    }

    /**
     * 批量删除导入规则
     * 
     * @param ids 需要删除的导入规则ID
     * @return 结果
     */
    @Override
    public int deleteActSuppliesRoleByIds(Integer[] ids)
    {
        return actSuppliesRoleMapper.deleteActSuppliesRoleByIds(ids);
    }

    /**
     * 删除导入规则信息
     * 
     * @param id 导入规则ID
     * @return 结果
     */
    @Override
    public int deleteActSuppliesRoleById(Integer id)
    {
        return actSuppliesRoleMapper.deleteActSuppliesRoleById(id);
    }
}
